## com.baidubce.services.bos.model
Class ListBucketsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.ListBucketsRequest

    public class ListBucketsRequest

extends AbstractBceRequest

Request object for listing all the Baidu Bos buckets owned by a user.

Constructor Summary
`ListBucketsRequest()`

Method Summary
`ListBucketsRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListBucketsRequest

    public ListBucketsRequest()

Method Detail

### withRequestCredentials

    public ListBucketsRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.